summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--abs/core-testing/linhes-scripts/PKGBUILD4
-rw-r--r--abs/extra-testing/fakeroot/PKGBUILD28
-rw-r--r--abs/extra-testing/fakeroot/fakeroot.install30
-rw-r--r--abs/extra-testing/irqbalance/Makefile.irqbalance13
-rw-r--r--abs/extra-testing/irqbalance/PKGBUILD32
-rw-r--r--abs/extra-testing/irqbalance/irqbalance.conf.d6
-rw-r--r--abs/extra-testing/irqbalance/irqbalance.rc.d46
7 files changed, 157 insertions, 2 deletions
diff --git a/abs/core-testing/linhes-scripts/PKGBUILD b/abs/core-testing/linhes-scripts/PKGBUILD
index 42cbb05..c1108cc 100644
--- a/abs/core-testing/linhes-scripts/PKGBUILD
+++ b/abs/core-testing/linhes-scripts/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=linhes-scripts
pkgver=1
-pkgrel=11
+pkgrel=13
pkgdesc="Various scripts that help to make LinHES, LinHES."
arch=('i686' 'x86_64')
license=('GPL2')
@@ -14,7 +14,7 @@ source=(ftp://ftp.knoppmyth.net/R6/sources/linhes-scripts.tar.bz2)
build() {
cd $startdir/src/
mkdir -p $startdir/pkg/usr/LH/bin
- cp imp* myth* shoo* pau*sh mplayer* vdpau* screen* mplayer* $startdir/pkg/usr/LH/bin
+ cp idle.sh imp* myth* shoo* pau*sh mplayer* vdpau* screen* mplayer* $startdir/pkg/usr/LH/bin
mkdir -p $startdir/pkg/etc/sv/pause-mythcommflag/supervise
cp run $startdir/pkg/etc/sv/pause-mythcommflag/
mkdir -p $startdir/pkg/etc/logrotate.d/
diff --git a/abs/extra-testing/fakeroot/PKGBUILD b/abs/extra-testing/fakeroot/PKGBUILD
new file mode 100644
index 0000000..f8dd4b2
--- /dev/null
+++ b/abs/extra-testing/fakeroot/PKGBUILD
@@ -0,0 +1,28 @@
+# $Id: PKGBUILD 29508 2009-03-09 17:06:43Z andyrtr $
+# Maintainer: Andreas Radke <andyrtr@archlinux.org>
+# Contributor: Jochem Kossen <j.kossen@home.nl>
+
+pkgname=fakeroot
+pkgver=1.12.2
+pkgrel=2
+pkgdesc="Gives a fake root environment, useful for building packages as a non-privileged user"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://packages.debian.org/fakeroot"
+groups=('base-devel')
+install=fakeroot.install
+depends=('glibc' 'filesystem' 'grep' 'sed')
+options=('!libtool')
+source=(http://ftp.debian.org/debian/pool/main/f/$pkgname/${pkgname}_${pkgver}.tar.gz)
+md5sums=('1eb7d972a19159035892e7d132602726')
+
+build() {
+ cd ${srcdir}/$pkgname-$pkgver
+ ./configure --prefix=/usr --libdir=/usr/lib/libfakeroot \
+ --disable-static --with-ipc=sysv
+ # --with-ipc=tcp is currently broken and no option on smp systems
+ make || return 1
+ make DESTDIR=${pkgdir} install || return 1
+ # install README for sysv/tcp usage
+ install -Dm644 $srcdir/$pkgname-$pkgver/README $pkgdir/usr/share/doc/$pkgname/README
+}
diff --git a/abs/extra-testing/fakeroot/fakeroot.install b/abs/extra-testing/fakeroot/fakeroot.install
new file mode 100644
index 0000000..c2f62a7
--- /dev/null
+++ b/abs/extra-testing/fakeroot/fakeroot.install
@@ -0,0 +1,30 @@
+# arg 1: the new package version
+post_install() {
+ if [ ! "`grep /usr/lib/libfakeroot etc/ld.so.conf`" ]; then
+ echo -n "updating /etc/ld.so.conf... "
+ echo "/usr/lib/libfakeroot" >>etc/ld.so.conf
+ sbin/ldconfig -r .
+ echo "done."
+ fi
+echo "The package is built using sysv ipc. If this causes segfaults"
+echo "see included README file and rebuild the pkg --with-ipc=tcp"
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install $1
+}
+
+# arg 1: the old package version
+pre_remove() {
+ echo -ne "\nupdating /etc/ld.so.conf... "
+ sed -i -e '/\/usr\/lib\/libfakeroot/d' etc/ld.so.conf
+ sbin/ldconfig -r .
+ echo "done."
+}
+
+op=$1
+shift
+
+$op $*
diff --git a/abs/extra-testing/irqbalance/Makefile.irqbalance b/abs/extra-testing/irqbalance/Makefile.irqbalance
new file mode 100644
index 0000000..fe08dc0
--- /dev/null
+++ b/abs/extra-testing/irqbalance/Makefile.irqbalance
@@ -0,0 +1,13 @@
+CFLAGS := $(CFLAGS) -D_FORTIFY_SOURCE=2 -Wall -W $(shell pkg-config --cflags glib-2.0)
+LDFLAGS := $(shell pkg-config --libs glib-2.0)
+
+OBJS = bitmap.o irqbalance.o cputree.o procinterrupts.o irqlist.o \
+ placement.o activate.o network.o powermode.o numa.o classify.o
+
+all: irqbalance
+
+irqbalance: $(OBJS)
+ $(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
+
+clean:
+ rm -f irqbalance *~ *.o
diff --git a/abs/extra-testing/irqbalance/PKGBUILD b/abs/extra-testing/irqbalance/PKGBUILD
new file mode 100644
index 0000000..5d823cd
--- /dev/null
+++ b/abs/extra-testing/irqbalance/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Dan McGee <dan@archlinux.org>
+# Contributor: Martin Striz <ms@poruba.net>
+
+pkgname=irqbalance
+pkgver=0.55
+pkgrel=3
+pkgdesc="IRQ balancing daemon for SMP systems"
+arch=('i686' 'x86_64')
+url="http://www.irqbalance.org/"
+license=('GPL')
+depends=(glib2)
+makedepends=(pkgconfig)
+backup=(etc/conf.d/irqbalance)
+source=(http://www.irqbalance.org/releases/$pkgname-$pkgver.tar.gz
+ Makefile.irqbalance
+ irqbalance.conf.d
+ irqbalance.rc.d)
+md5sums=('9f6b314ff1fdc14173abeb40592d4edf'
+ '45bc9e1d041d8547f2dbf12f887216df'
+ '336c1ee99818f9ecda1687e34c69fd6b'
+ '96efae052553711f74a61760cefa93b5')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ # use our Makefile instead of one provided which is not quite right
+ cp ../Makefile.irqbalance Makefile
+ make || return 1
+
+ install -D -m755 irqbalance $pkgdir/usr/sbin/irqbalance
+ install -D -m644 ../irqbalance.conf.d $pkgdir/etc/conf.d/irqbalance
+ install -D -m755 ../irqbalance.rc.d $pkgdir/etc/rc.d/irqbalance
+}
diff --git a/abs/extra-testing/irqbalance/irqbalance.conf.d b/abs/extra-testing/irqbalance/irqbalance.conf.d
new file mode 100644
index 0000000..ef1bdfd
--- /dev/null
+++ b/abs/extra-testing/irqbalance/irqbalance.conf.d
@@ -0,0 +1,6 @@
+#
+# Settings for irqbalance daemon
+#
+
+# one shot mode - set to 1 if you have Pentium 4 with HT
+ONESHOT=0
diff --git a/abs/extra-testing/irqbalance/irqbalance.rc.d b/abs/extra-testing/irqbalance/irqbalance.rc.d
new file mode 100644
index 0000000..c8d197f
--- /dev/null
+++ b/abs/extra-testing/irqbalance/irqbalance.rc.d
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+# source application-specific settings
+ONESHOT=0
+[ -f /etc/conf.d/irqbalance ] && . /etc/conf.d/irqbalance
+
+if [ "$ONESHOT" -ne 0 ]; then
+ ONESHOT_CMD="oneshot"
+fi
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/irqbalance`
+case "$1" in
+ start)
+ stat_busy "Starting IRQ balancing"
+ [ -z "$PID" ] && /usr/sbin/irqbalance $ONESHOT_CMD
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ if [ "$ONESHOT" -eq 0 ]; then
+ add_daemon irqbalance
+ fi
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping IRQ balancing"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon irqbalance
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0